- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.SnapshotGroup.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotGroups/get#try-it)

returns the specified SnapshotGroup resource.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/snapshotGroups/{snapshotGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `snapshotGroup` | `string` Name of the SnapshotGroup resource to return. |

### Request body

The request body must be empty.

### Response body

Represents a SnapshotGroup resource.

A snapshot group is a set of snapshots that represents a point in time state of a consistency group.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "name": string, "description": string, "id": string, "status": enum, "creationTimestamp": string, "sourceInfo": { "consistencyGroup": string, "consistencyGroupId": string }, "sourceInstantSnapshotGroupInfo": { "instantSnapshotGroup": string, "instantSnapshotGroupId": string }, "sourceInstantSnapshotGroup": string, "selfLink": string, "selfLinkWithId": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#snapshotGroup` for SnapshotGroup resources. |
| `name` | `string` Identifier. Name of the resource; provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` Optional. An optional description of this resource. Provide this property when you create the resource. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `status` | `enum` Output only. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `sourceInfo` | `object` Output only. |
| `sourceInfo.consistencyGroup` | `string` |
| `sourceInfo.consistencyGroupId` | `string` |
| `sourceInstantSnapshotGroupInfo` | `object` Output only. |
| `sourceInstantSnapshotGroupInfo.instantSnapshotGroup` | `string` |
| `sourceInstantSnapshotGroupInfo.instantSnapshotGroupId` | `string` |
| `sourceInstantSnapshotGroup` | `string` Input field for the source instant snapshot group. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL for this resource's resource id. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.snapshotGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).